## r-cran-brobdingnag 1.2

=== DESCRIPTION ===
Package: Brobdingnag
Type: Package
Title: Very Large Numbers in R
Version: 1.2-9
Authors@R: person(given=c("Robin", "K. S."), family="Hankin", role = c("aut","cre"), email="hankin.robin@gmail.com", comment = c(ORCID = "0000-0001-5982-0415"))
Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
Depends: R (>= 2.13.0), methods, Matrix (>= 1.5-0)
Description: Very large numbers in R.  Real numbers are held
        using their natural logarithms, plus a logical flag indicating
        sign.  Functionality for complex numbers is also provided.  The
        package includes a vignette that gives a step-by-step
        introduction to using S4 methods.
Suggests: cubature, testthat
License: GPL
Repository: CRAN
URL: https://github.com/RobinHankin/Brobdingnag
NeedsCompilation: no
Packaged: 2022-10-19 08:16:38 UTC; rhankin
Author: Robin K. S. Hankin [aut, cre] (<https://orcid.org/0000-0001-5982-0415>)
Date/Publication: 2022-10-19 10:50:02 UTC

## r-cran-brobdingnag 1.2-6

=== debian/changelog ===
r-cran-brobdingnag (1.2-6-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 15 May 2020 16:07:56 +0200

r-cran-brobdingnag (1.2-6-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.0

 -- Andreas Tille <tille@debian.org>  Tue, 14 Aug 2018 08:26:32 +0200

r-cran-brobdingnag (1.2-5-2) unstable; urgency=medium

  * Rebuild for R 3.5 transition

 -- Andreas Tille <tille@debian.org>  Sun, 03 Jun 2018 20:49:28 +0200

r-cran-brobdingnag (1.2-5-1) unstable; urgency=medium

  * Initial release (closes: #898673)

 -- Andreas Tille <tille@debian.org>  Mon, 14 May 2018 23:29:18 +0200

=== debian/control ===
Source: r-cran-brobdingnag
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-brobdingnag
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-brobdingnag.git
Homepage: https://cran.r-project.org/package=Brobdingnag
Rules-Requires-Root: no

Package: r-cran-brobdingnag
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Very Large Numbers in R
 Handles very large numbers in R.  Real numbers are held
 using their natural logarithms, plus a logical flag indicating
 sign.  The package includes a vignette that gives a
 step-by-step introduction to using S4 methods.

## r-cran-brobdingnag 1.2-7

=== debian/changelog ===
r-cran-brobdingnag (1.2-7-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 12 Feb 2022 07:58:20 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-brobdingnag
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-brobdingnag.git
 Homepage: https://cran.r-project.org/package=Brobdingnag

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/Brobdingnag_([-\d.]*)\.tar\.gz

## r-cran-brobdingnag 1.2-9

=== debian/changelog ===
r-cran-brobdingnag (1.2-9-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 24 Oct 2022 13:42:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: r-cran-brobdingnag
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev
-Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-brobdingnag
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-brobdingnag.git
 Homepage: https://cran.r-project.org/package=Brobdingnag
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               r-cran-matrix (>= 1.5-0)
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-brobdingnag
 Architecture: all
